Skip to main content
GET
/
api
/
v1
/
imports
/
{id}
Retrieve an import
curl --request GET \
  --url https://app.sure.am/api/v1/imports/{id} \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://app.sure.am/api/v1/imports/{id}"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://app.sure.am/api/v1/imports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "error": "<string>",
    "configuration": {
      "date_col_label": "<string>",
      "amount_col_label": "<string>",
      "name_col_label": "<string>",
      "category_col_label": "<string>",
      "tags_col_label": "<string>",
      "notes_col_label": "<string>",
      "account_col_label": "<string>",
      "qty_col_label": "<string>",
      "ticker_col_label": "<string>",
      "price_col_label": "<string>",
      "entity_type_col_label": "<string>",
      "currency_col_label": "<string>",
      "exchange_operating_mic_col_label": "<string>",
      "date_format": "<string>",
      "number_format": "<string>",
      "signage_convention": "<string>",
      "col_sep": "<string>",
      "amount_type_strategy": "<string>",
      "amount_type_inflow_value": "<string>"
    },
    "stats": {
      "rows_count": 1,
      "valid_rows_count": 1
    }
  }
}
{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}

Authorizations

X-Api-Key
string
header
required

API key for authentication. Generate one from your account settings.

Path Parameters

id
string
required

Import ID

Response

import retrieved

data
object
required